package type;
final public class FuzzyHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.Fuzzy value;

	public FuzzyHolder ()
	{
	}
	public FuzzyHolder (type.Fuzzy initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.FuzzyHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.FuzzyHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.FuzzyHelper.write(_out,value);
	}
}
